
QGIS Application - Bug report #3390

crash on start of QGIS due to conflict between Python versions

2011-01-05 06:36 AM - kapitonenko -

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13450

Description

When I start QGis I've got the next error:

"An error occured during execution of following code:

import os

can't import traceback

Python version:

2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

QGIS version:

1.6.0-Capiapo 'Capiapo', exported

Python path:

['C:\\\\OSGeo4W\\\\apps\\\\gdal-17\\\\pymod', 'C:\\\\Python26', 'C:\\\\Python26\\\\Lib', 'C:\\\\Python26\\\\libs',

'C:\\\\Python26\\\\Lib\\\\site-packages', 'C:\\\\Python26\\\\Lib\\\\site-packages\\\\dbfpy', 'C:\\\\OSGeo4W\\\\bin\\\\python25.zip',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\DLLs', 'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\plat-win', 'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\lib-tk',

'C:\\\\OSGeo4W\\\\apps\\\\qgis\\\\bin']"

It seems like conflict between python version 2.6.2 installed on my computer and 2.5.2 included in QGis. When I renamed my directory

C:\\Python26 to C:\\Python26_bak problem was disappeared.

History

#1 - 2011-01-12 07:46 AM - kapitonenko -

I've removed system environment variable PYTHONPATH and problem is disappeared.

#2 - 2011-01-13 12:54 PM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

right, you should use OSGeo4W's python.
